package com.kmall.manager.manager.pay.wxpay;

import java.io.Serializable;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
public class WxPayProperties implements Serializable {

    private static final long serialVersionUID = -5150960165047052585L;

    private String appId;
    private String secret;
    private String mchId;
    private String paySignKey;

    private String tradeType;
    private String certName;
    private String notifyUrl;
    private String getCode;

    private String webAccessTokenhttps;
    private String userMessage;
    private String uniformorder;
    private String refundUrl;

    private String refundqueryUrl;
    private String orderquery;
    private String micropayUrl;
    private String reverseUrl;
    private String spbillCreateIp;
    private String refundNotifyUrl;

    public String getMicropayUrl() {
        return micropayUrl;
    }

    public void setMicropayUrl(String micropayUrl) {
        this.micropayUrl = micropayUrl;
    }

    public String getReverseUrl() {
        return reverseUrl;
    }

    public void setReverseUrl(String reverseUrl) {
        this.reverseUrl = reverseUrl;
    }

    public String getRefundNotifyUrl() {
        return refundNotifyUrl;
    }

    public void setRefundNotifyUrl(String refundNotifyUrl) {
        this.refundNotifyUrl = refundNotifyUrl;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getPaySignKey() {
        return paySignKey;
    }

    public void setPaySignKey(String paySignKey) {
        this.paySignKey = paySignKey;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public String getCertName() {
        return certName;
    }

    public void setCertName(String certName) {
        this.certName = certName;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getGetCode() {
        return getCode;
    }

    public void setGetCode(String getCode) {
        this.getCode = getCode;
    }

    public String getWebAccessTokenhttps() {
        return webAccessTokenhttps;
    }

    public void setWebAccessTokenhttps(String webAccessTokenhttps) {
        this.webAccessTokenhttps = webAccessTokenhttps;
    }

    public String getUserMessage() {
        return userMessage;
    }

    public void setUserMessage(String userMessage) {
        this.userMessage = userMessage;
    }

    public String getUniformorder() {
        return uniformorder;
    }

    public void setUniformorder(String uniformorder) {
        this.uniformorder = uniformorder;
    }

    public String getRefundUrl() {
        return refundUrl;
    }

    public void setRefundUrl(String refundUrl) {
        this.refundUrl = refundUrl;
    }

    public String getRefundqueryUrl() {
        return refundqueryUrl;
    }

    public void setRefundqueryUrl(String refundqueryUrl) {
        this.refundqueryUrl = refundqueryUrl;
    }

    public String getOrderquery() {
        return orderquery;
    }

    public void setOrderquery(String orderquery) {
        this.orderquery = orderquery;
    }

    public String getSpbillCreateIp() {
        return spbillCreateIp;
    }

    public void setSpbillCreateIp(String spbillCreateIp) {
        this.spbillCreateIp = spbillCreateIp;
    }


}
